AntiFeatures:
  NonFreeNet:
    en-US: Connects to dev.virtualearth.net and services.digitalglobe.com
Categories:
  - Navigation
License: ISC
AuthorName: Ilya Zverev
AuthorEmail: ilya@zverev.info
WebSite: https://every-door.app/
SourceCode: https://github.com/Zverik/every_door
IssueTracker: https://github.com/Zverik/every_door/issues
Translation: https://hosted.weblate.org/projects/every-door/app/
Changelog: https://github.com/Zverik/every_door/blob/main/CHANGELOG.md

AutoName: Every Door

RepoType: git
Repo: https://github.com/Zverik/every_door.git

Builds:
  - versionName: 3.0.0
    versionCode: 321
    commit: 975f4dca4c51b161e768fd4f749a3d563682cb00
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-x64

  - versionName: 3.0.0
    versionCode: 322
    commit: 975f4dca4c51b161e768fd4f749a3d563682cb00
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-arm

  - versionName: 3.0.0
    versionCode: 323
    commit: 975f4dca4c51b161e768fd4f749a3d563682cb00
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-arm64

  - versionName: 3.1.0
    versionCode: 341
    commit: bd8ec97faee12758527d80d4dce02eff59e14d30
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-x64

  - versionName: 3.1.0
    versionCode: 342
    commit: bd8ec97faee12758527d80d4dce02eff59e14d30
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-arm

  - versionName: 3.1.0
    versionCode: 343
    commit: bd8ec97faee12758527d80d4dce02eff59e14d30
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    prebuild:
      - curl -L https://textual.ru/presets.db -o assets/presets.db
      - sed -i -e 's/^#f//' pubspec.yaml
      - sed -i -e 's/^\(.*\bMultiDex\b\)/\/\/ \1/' android/app/src/main/java/io/flutter/app/FlutterMultiDexApplication.java
      - echo '{}' > lib/l10n/app_zh.arb
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter packages pub get
    scanignore:
      - vendor/flutter/bin/cache
      - vendor/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - .pub-cache
      - vendor/flutter
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform=android-arm64

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
VercodeOperation:
  - '%c*10+1'
  - '%c*10+2'
  - '%c*10+3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 3.1.0
CurrentVersionCode: 343
